Package net.postgis.jdbc.geometry

# Class LinearRing

java.lang.Object
net.postgis.jdbc.geometry.Geometry
net.postgis.jdbc.geometry.ComposedGeom
net.postgis.jdbc.geometry.PointComposedGeom
net.postgis.jdbc.geometry.LinearRing

All Implemented Interfaces:
  `Serializable`

public class LinearRing extends PointComposedGeom
This represents the LinearRing GIS datatype. This type is used to construct the polygon types, but is not stored or retrieved directly from the database.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class net.postgis.jdbc.geometry.ComposedGeom

`EMPTY, subgeoms`

### Fields inherited from class net.postgis.jdbc.geometry.Geometry

`ALLTYPES, dimension, GEOMETRYCOLLECTION, haveMeasure, LINEARRING, LINESTRING, MULTILINESTRING, MULTIPOINT, MULTIPOLYGON, POINT, POLYGON, srid, type, UNKNOWN_SRID`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`LinearRing(String value)`
This is called to construct a LinearRing from the PostGIS string representation of a ring.
`protected`
`LinearRing(String value, boolean haveM)`
``
`LinearRing(Point[] points)`

## Method Summary

### Methods inherited from class net.postgis.jdbc.geometry.PointComposedGeom

`createSubGeomArray, createSubGeomInstance, getPoint, getPoints, innerWKT, numPoints`

### Methods inherited from class net.postgis.jdbc.geometry.ComposedGeom

`checkConsistency, equalsintern, getFirstPoint, getLastPoint, getSubGeometry, hashCode, isEmpty, iterator, mediumWKT, numGeoms, setSrid`

### Methods inherited from class net.postgis.jdbc.geometry.Geometry

`equals, equals, getDimension, getSrid, getType, getTypeString, getTypeString, getValue, initSRID, isMeasured, outerWKT, outerWKT, parseSRID, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LinearRing

public LinearRing(Point[] points)

### LinearRing

public LinearRing(String value) throws SQLException
This is called to construct a LinearRing from the PostGIS string representation of a ring.

Parameters:
  `value` - Definition of this ring in the PostGIS string format.
Throws:
  `SQLException` - when a SQLException occurs

### LinearRing

protected LinearRing(String value, boolean haveM) throws SQLException

Parameters:
  `value` - The text representation of this LinearRing
  `haveM` - Hint whether we have a measure. This is given to us by other "parent" Polygon, and is passed further to our parent.
Throws:
  `SQLException` - when a SQLException occurs